Node('ls340test.psi.ch',
     'ls340 test',
     'tcp://5000'
     )

Mod('io',
    'frappy_psi.lakeshore.Ls340IO',
    'communication to ls340',
    uri='tcp://ldmprep56-ts:3002'
    )

Mod('T',
    'frappy_psi.lakeshore.TemperatureLoop340',
    'sample temperature',
    output_module='Heater',
    target=Param(max=470),
    io='io',
    channel='B'
    )

Mod('T_cold_finger',
    'frappy_psi.lakeshore.Sensor340',
    'cold finger temperature',
    io='io',
    channel='A'
    )

Mod('Heater',
    'frappy_psi.lakeshore.HeaterOutput',
    'heater output',
    channel='B',
    io='io',
    resistance=25,
    max_power=50,
    current=1
    )
